enum ClickActionType {
  campaignDetail,
}

extension ClickActionTypeExtension on ClickActionType {
  String get key {
    switch (this) {
      case ClickActionType.campaignDetail:
        return "campaignDetail";
    }
  }

  static ClickActionType? fromString(String value) {
    switch (value) {
      case "campaignDetail":
        return ClickActionType.campaignDetail;
      default:
        return null;
    }
  }
}